import 'package:flutter/material.dart';

/// 边框 button
class BorderLineButton extends StatefulWidget {
  /// 标题
  final String title;

  /// 标题对齐
  final TextAlign textAlign;

  /// 点击回调
  final VoidCallback onTap;

  /// 边框颜色
  final Color borderColor;

  /// 标题设置
  final TextStyle titleStyle;

  const BorderLineButton(
      {Key key,
      this.title = "",
      this.textAlign = TextAlign.center,
      this.onTap,
      this.borderColor = Colors.blue,
      this.titleStyle = const TextStyle(color: Colors.blue, fontSize: 11)})
      : super(key: key);

  @override
  _BorderLineButtonState createState() => _BorderLineButtonState();
}

class _BorderLineButtonState extends State<BorderLineButton> {
  @override
  Widget build(BuildContext context) {
    return RaisedButton(
        shape: ContinuousRectangleBorder(
            side: BorderSide(color: widget.borderColor),
            borderRadius: BorderRadius.circular(4)),
        color: Colors.white,
        child: Text(widget.title,
            textAlign: widget.textAlign, style: widget.titleStyle),
        onPressed: () {
          if (widget.onTap != null) {
            widget.onTap();
          }
        });

// GestureDetector(
//       child: Container(
//         padding: EdgeInsets.symmetric(vertical: 8, horizontal: 5),
//         decoration: BoxDecoration(
//           borderRadius: BorderRadius.all(Radius.circular(4)),
//           border: Border.all(color: widget.borderColor, width: 1.0),
//         ),
//         child: Text(widget.title, style: widget.titleStyle),
//       ),
//       onTap: () {
//         if (widget.onTap != null) {
//           widget.onTap();
//         }
//       },
//     );
  }
}
