import 'package:flutter/material.dart';

typedef CustomButtonCallback = void Function();

class CustomButton extends StatefulWidget {
  final String title;
  final String selectedTitle;
  final bool selected;
  final CustomButtonCallback onTap;

  const CustomButton({Key key, this.title, this.selectedTitle, this.selected = false, this.onTap}) : super(key: key);

  @override
  _CustomButtonState createState() => _CustomButtonState();
}

class _CustomButtonState extends State<CustomButton> {

  // bool _isSelected;

  @override
  void initState() {
    super.initState();
    // _isSelected = widget.selected;
  }

  @override
  Widget build(BuildContext context) {

    String title;
    if (widget.selectedTitle != null) {
      title = widget.selected ? widget.selectedTitle : widget.title;
    } else {
      title = widget.title;
    }

    return GestureDetector(
      behavior: HitTestBehavior.opaque,
      child: Container(
        alignment: Alignment.center,
        padding: EdgeInsets.all(5),
        child: Text(title),
      ),
      onTap: _onTap,
    );
  }

  void _onTap() {
    if (widget.onTap != null) {
      widget.onTap();
    }
  }
}
