import 'package:flutter/material.dart';
import 'package:flutter_yingyan_trace_demo/general/themes.dart';

class HomeListItem extends StatefulWidget {
  final String image;
  final String title;
  final String subTitle;
  final GestureTapCallback onTap;

  const HomeListItem({Key key, this.image, this.title, this.subTitle, this.onTap,})
      : super(key: key);

  @override
  _HomeListItemState createState() => _HomeListItemState();
}

class _HomeListItemState extends State<HomeListItem> {
  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      behavior: HitTestBehavior.opaque,
      child: Container(
        height: 80,
        child: Column(
          children: [
            Expanded(
              child: Container(
                child: Row(
                  children: [
                    Container(
                      margin: EdgeInsets.only(left: 15, right: 15),
                      child: Image.asset(
                        widget.image,
                        width: 25,
                        height: 25,
                      ),
                    ),
                    Expanded(
                      child: Container(
                        child: Column(
                          crossAxisAlignment: CrossAxisAlignment.start,
                          mainAxisAlignment: MainAxisAlignment.center,
                          children: [
                            Text(widget.title, style: _titleStyle,),
                            SizedBox(height: 5,),
                            Text(widget.subTitle, style: _subTitleStyle,),
                          ],
                        ),
                      ),
                    ),
                    Container(
                      margin: EdgeInsets.only(left: 10, right: 10),
                      child: Image.asset("images/general/icon_enter.png", width: 20, height: 20,),
                    ),
                  ],
                ),
              ),
            ),
            Container(
              color: separateColor,
              height: 0.5,
            ),
          ],
        ),
      ),
      onTap: () {
        if (widget.onTap != null) {
          widget.onTap();
        }
      },
    );
  }
}

final _titleStyle = TextStyle(color: Color(0xFF303030), fontSize: 15);
final _subTitleStyle = TextStyle(color: Color(0xFF999999) ,fontSize: 13);