import 'package:flutter/material.dart';

class SettingButton extends StatelessWidget {
  final VoidCallback onTap;
  final String icon;
  const SettingButton(
      {this.icon = 'images/general/icon_settings.png', Key key, this.onTap})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      behavior: HitTestBehavior.opaque,
      child: Container(
        margin: EdgeInsets.only(right: 10),
        child: Image.asset(
          this.icon,
          width: 22,
          height: 22,
        ),
      ),
      onTap: () {
        if (onTap != null) {
          onTap();
        }
      },
    );
  }
}
