import 'package:flutter/material.dart';
import 'package:flutter_baidu_mapapi_base/flutter_baidu_mapapi_base.dart';
import 'package:flutter_baidu_mapapi_map/flutter_baidu_mapapi_map.dart';
import 'package:flutter_baidu_yingyan_trace/flutter_baidu_yingyan_trace.dart';
import 'package:flutter_yingyan_trace_demo/customWidgets/map_appbar.dart';

/// entity 展示页
class EntityPage extends StatefulWidget {
  /// entity
  final EntityInfo entityInfo;
  EntityPage({@required this.entityInfo, Key key}) : super(key: key);

  @override
  _EntityPageState createState() => _EntityPageState();
}

class _EntityPageState extends State<EntityPage> {
  /// mapController
  BMFMapController _mapController;

  /// 地图中心点
  BMFCoordinate _center;

  /// 地图
  BMFMapWidget _createMap() {
    /// 地图中心点设置
    if (widget.entityInfo.latestLocation.location == null ||
        (widget.entityInfo.latestLocation.location.latitude == 0 &&
            widget.entityInfo.latestLocation.location.longitude == 0)) {
      _center = BMFCoordinate(40.056056, 116.308102);
    } else {
      _center = BMFCoordinate(
          widget.entityInfo.latestLocation.location.latitude,
          widget.entityInfo.latestLocation.location.longitude);
    }
    print('地图中心点 center = ${_center?.toMap()}');

    return BMFMapWidget(
      mapOptions: BMFMapOptions(
        zoomLevel: 16,
        center: _center,
      ),
      onBMFMapCreated: (BMFMapController controller) {
        // 地图创建完成回调
        _mapController = controller;
        _addEntityMarker();
      },
    );
  }

  /// 标记entity最新位置
  Future<void> _addEntityMarker() async {
    BMFMarker marker =
        BMFMarker(position: _center, icon: 'images/general/icon_end.png');
    await _mapController?.addMarker(marker);
  }

  @override
  Widget build(BuildContext context) {
    return Container(
        child: Scaffold(
      appBar: BMFAppBar(
        title: '${widget.entityInfo.entityName}',
        actions: [],
      ),
      body: Stack(
        children: [
          _createMap(),
        ],
      ),
    ));
  }
}
